Debian Bug report logs - #667109
barry: ftbfs with GCC-4.7

version graph

Package: barry; Maintainer for barry is Chris Frey <cdfrey@foursquare.net>;

Reported by: Matthias Klose <doko@debian.org>

Date: Tue, 3 Apr 2012 23:10:04 UTC

Severity: serious

Tags: patch, sid, wheezy

Found in version 0.15-1.2

Fixed in versions barry/0.15-1.3, barry/0.18.3-3

Done: Chris Frey <cdfrey@foursquare.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Jose Carlos Garcia Sogo <jsogo@debian.org>:
Bug#667109; Package barry. (Tue, 03 Apr 2012 23:10:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@debian.org>:
New Bug report received and forwarded. Copy sent to Jose Carlos Garcia Sogo <jsogo@debian.org>. (Tue, 03 Apr 2012 23:10:07 GMT) Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: maintonly@bugs.debian.org
Subject: barry: ftbfs with GCC-4.7
Date: Tue, 03 Apr 2012 23:07:51 +0000
Package: barry
Version: 0.15-1.2
Severity: important
Tags: sid wheezy
User: debian-gcc@lists.debian.org
Usertags: ftbfs-gcc-4.7

The package fails to build in a test rebuild on at least amd64 with
gcc-4.7/g++-4.7, but succeeds to build with gcc-4.6/g++-4.6. The
severity of this report may be raised before the wheezy release.

packet.h:219:17: error: 'off_t' has not been declared

The full build log can be found at:
http://people.debian.org/~lucas/logs/2012/03/29-clang-gcc47/unstable-gcc47/barry_0.15-1.2_unstable-gcc47.log
The last lines of the build log are at the end of this report.

Some hints on fixing these issues can be found at
http://gcc.gnu.org/gcc-4.7/porting_to.html

To build with GCC 4.7, either set CC=gcc-4.7 CXX=g++-4.7 explicitly,
or install the gcc, g++, gfortran, ... packages from experimental.

[...]
/bin/bash ../libtool --tag=CXX --mode=compile g++ -DHAVE_CONFIG_H -I..   -D_FORTIFY_SOURCE=2 -ansi -Wall -fno-strict-aliasing -g -D__BARRY_LIBRARY_BUILD__ -D__BARRY_HAVE_GCCVISIBILITY__ -fvisibility=hidden -g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Wformat-security -Werror=format-security -Wall -c -o r_message_base.lo r_message_base.cc
 g++ -DHAVE_CONFIG_H -I.. -D_FORTIFY_SOURCE=2 -ansi -Wall -fno-strict-aliasing -g -D__BARRY_LIBRARY_BUILD__ -D__BARRY_HAVE_GCCVISIBILITY__ -fvisibility=hidden -g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Wformat-security -Werror=format-security -Wall -c r_message_base.cc  -fPIC -DPIC -o .libs/r_message_base.o
r_message_base.cc: In member function 'const unsigned char* Barry::MessageBase::ParseField(const unsigned char*, const unsigned char*, const Barry::IConverter*)':
r_message_base.cc:161:7: warning: variable 'swallow' set but not used [-Wunused-but-set-variable]
 g++ -DHAVE_CONFIG_H -I.. -D_FORTIFY_SOURCE=2 -ansi -Wall -fno-strict-aliasing -g -D__BARRY_LIBRARY_BUILD__ -D__BARRY_HAVE_GCCVISIBILITY__ -fvisibility=hidden -g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Wformat-security -Werror=format-security -Wall -c r_message_base.cc -o r_message_base.o >/dev/null 2>&1
/bin/bash ../libtool --tag=CXX --mode=compile g++ -DHAVE_CONFIG_H -I..   -D_FORTIFY_SOURCE=2 -ansi -Wall -fno-strict-aliasing -g -D__BARRY_LIBRARY_BUILD__ -D__BARRY_HAVE_GCCVISIBILITY__ -fvisibility=hidden -g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Wformat-security -Werror=format-security -Wall -c -o r_servicebook.lo r_servicebook.cc
 g++ -DHAVE_CONFIG_H -I.. -D_FORTIFY_SOURCE=2 -ansi -Wall -fno-strict-aliasing -g -D__BARRY_LIBRARY_BUILD__ -D__BARRY_HAVE_GCCVISIBILITY__ -fvisibility=hidden -g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Wformat-security -Werror=format-security -Wall -c r_servicebook.cc  -fPIC -DPIC -o .libs/r_servicebook.o
 g++ -DHAVE_CONFIG_H -I.. -D_FORTIFY_SOURCE=2 -ansi -Wall -fno-strict-aliasing -g -D__BARRY_LIBRARY_BUILD__ -D__BARRY_HAVE_GCCVISIBILITY__ -fvisibility=hidden -g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Wformat-security -Werror=format-security -Wall -c r_servicebook.cc -o r_servicebook.o >/dev/null 2>&1
/bin/bash ../libtool --tag=CXX --mode=compile g++ -DHAVE_CONFIG_H -I..   -D_FORTIFY_SOURCE=2 -ansi -Wall -fno-strict-aliasing -g -D__BARRY_LIBRARY_BUILD__ -D__BARRY_HAVE_GCCVISIBILITY__ -fvisibility=hidden -g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Wformat-security -Werror=format-security -Wall -c -o r_sms.lo r_sms.cc
 g++ -DHAVE_CONFIG_H -I.. -D_FORTIFY_SOURCE=2 -ansi -Wall -fno-strict-aliasing -g -D__BARRY_LIBRARY_BUILD__ -D__BARRY_HAVE_GCCVISIBILITY__ -fvisibility=hidden -g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Wformat-security -Werror=format-security -Wall -c r_sms.cc  -fPIC -DPIC -o .libs/r_sms.o
 g++ -DHAVE_CONFIG_H -I.. -D_FORTIFY_SOURCE=2 -ansi -Wall -fno-strict-aliasing -g -D__BARRY_LIBRARY_BUILD__ -D__BARRY_HAVE_GCCVISIBILITY__ -fvisibility=hidden -g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Wformat-security -Werror=format-security -Wall -c r_sms.cc -o r_sms.o >/dev/null 2>&1
/bin/bash ../libtool --tag=CXX --mode=compile g++ -DHAVE_CONFIG_H -I..   -D_FORTIFY_SOURCE=2 -ansi -Wall -fno-strict-aliasing -g -D__BARRY_LIBRARY_BUILD__ -D__BARRY_HAVE_GCCVISIBILITY__ -fvisibility=hidden -g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Wformat-security -Werror=format-security -Wall -c -o r_task.lo r_task.cc
 g++ -DHAVE_CONFIG_H -I.. -D_FORTIFY_SOURCE=2 -ansi -Wall -fno-strict-aliasing -g -D__BARRY_LIBRARY_BUILD__ -D__BARRY_HAVE_GCCVISIBILITY__ -fvisibility=hidden -g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Wformat-security -Werror=format-security -Wall -c r_task.cc  -fPIC -DPIC -o .libs/r_task.o
 g++ -DHAVE_CONFIG_H -I.. -D_FORTIFY_SOURCE=2 -ansi -Wall -fno-strict-aliasing -g -D__BARRY_LIBRARY_BUILD__ -D__BARRY_HAVE_GCCVISIBILITY__ -fvisibility=hidden -g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Wformat-security -Werror=format-security -Wall -c r_task.cc -o r_task.o >/dev/null 2>&1
/bin/bash ../libtool --tag=CXX --mode=compile g++ -DHAVE_CONFIG_H -I..   -D_FORTIFY_SOURCE=2 -ansi -Wall -fno-strict-aliasing -g -D__BARRY_LIBRARY_BUILD__ -D__BARRY_HAVE_GCCVISIBILITY__ -fvisibility=hidden -g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Wformat-security -Werror=format-security -Wall -c -o r_timezone.lo r_timezone.cc
 g++ -DHAVE_CONFIG_H -I.. -D_FORTIFY_SOURCE=2 -ansi -Wall -fno-strict-aliasing -g -D__BARRY_LIBRARY_BUILD__ -D__BARRY_HAVE_GCCVISIBILITY__ -fvisibility=hidden -g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Wformat-security -Werror=format-security -Wall -c r_timezone.cc  -fPIC -DPIC -o .libs/r_timezone.o
 g++ -DHAVE_CONFIG_H -I.. -D_FORTIFY_SOURCE=2 -ansi -Wall -fno-strict-aliasing -g -D__BARRY_LIBRARY_BUILD__ -D__BARRY_HAVE_GCCVISIBILITY__ -fvisibility=hidden -g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Wformat-security -Werror=format-security -Wall -c r_timezone.cc -o r_timezone.o >/dev/null 2>&1
/bin/bash ../libtool --tag=CXX --mode=compile g++ -DHAVE_CONFIG_H -I..   -D_FORTIFY_SOURCE=2 -ansi -Wall -fno-strict-aliasing -g -D__BARRY_LIBRARY_BUILD__ -D__BARRY_HAVE_GCCVISIBILITY__ -fvisibility=hidden -g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Wformat-security -Werror=format-security -Wall -c -o packet.lo packet.cc
 g++ -DHAVE_CONFIG_H -I.. -D_FORTIFY_SOURCE=2 -ansi -Wall -fno-strict-aliasing -g -D__BARRY_LIBRARY_BUILD__ -D__BARRY_HAVE_GCCVISIBILITY__ -fvisibility=hidden -g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Wformat-security -Werror=format-security -Wall -c packet.cc  -fPIC -DPIC -o .libs/packet.o
In file included from packet.cc:24:0:
packet.h:219:17: error: 'off_t' has not been declared
packet.cc:603:5: error: prototype for 'int Barry::JLPacket::SetCodSize(off_t)' does not match any in class 'Barry::JLPacket'
In file included from packet.cc:24:0:
packet.h:219:6: error: candidate is: int Barry::JLPacket::SetCodSize(int)
make[3]: *** [packet.lo] Error 1
make[3]: Leaving directory `/«PKGBUILDDIR»/src'
make[2]: *** [all-recursive] Error 1
make[1]: *** [all] Error 2
make: *** [debian/stamp-makefile-build] Error 2
dpkg-buildpackage: error: debian/rules build-arch gave error exit status 2




Information forwarded to debian-bugs-dist@lists.debian.org, Jose Carlos Garcia Sogo <jsogo@debian.org>:
Bug#667109; Package barry. (Wed, 04 Apr 2012 22:30:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Jose Carlos Garcia Sogo <jsogo@debian.org>. (Wed, 04 Apr 2012 22:30:09 GMT) Full text and rfc822 format available.

Message #10 received at 667109@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: 667109@bugs.debian.org
Subject: Re: Bug#667109: barry: ftbfs with GCC-4.7
Date: Thu, 5 Apr 2012 00:28:01 +0200
[Message part 1 (text/plain, inline)]
tag 667109 patch
thanks

Matthias Klose <doko@debian.org> (03/04/2012):
> Package: barry
> Version: 0.15-1.2
> Severity: important
> Tags: sid wheezy
> User: debian-gcc@lists.debian.org
> Usertags: ftbfs-gcc-4.7

Here's a patch to fix this FTBFS. No intent to NMU.

Mraw,
KiBi.
[barry+nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) patch. Request was from Cyril Brulebois <kibi@debian.org> to control@bugs.debian.org. (Wed, 04 Apr 2012 22:30:11 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'important' Request was from Matthias Klose <doko@debian.org> to control@bugs.debian.org. (Mon, 07 May 2012 16:51:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Jose Carlos Garcia Sogo <jsogo@debian.org>:
Bug#667109; Package barry. (Sun, 13 May 2012 13:21:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Wiltshire <jmw@debian.org>:
Extra info received and forwarded to list. Copy sent to Jose Carlos Garcia Sogo <jsogo@debian.org>. (Sun, 13 May 2012 13:21:08 GMT) Full text and rfc822 format available.

Message #19 received at 667109@bugs.debian.org (full text, mbox):

From: Jonathan Wiltshire <jmw@debian.org>
To: 667109@bugs.debian.org
Subject: barry: diff for NMU version 0.15-1.3
Date: Sun, 13 May 2012 14:20:31 +0100
tags 667109 + pending
thanks

Dear maintainer,

I've prepared an NMU for barry (versioned as 0.15-1.3) and
uploaded it to DELAYED/2. Please feel free to tell me if I
should delay it longer.

Regards.
diff -u barry-0.15/debian/changelog barry-0.15/debian/changelog
--- barry-0.15/debian/changelog
+++ barry-0.15/debian/changelog
@@ -1,3 +1,12 @@
+barry (0.15-1.3) unstable; urgency=low
+
+  [ Cyril Brulebois ]
+  * Non-maintainer upload.
+  * Fix FTBFS with gcc 4.7 by fixing missing <unistd.h> include
+    (Closes: #667109).
+
+ -- Jonathan Wiltshire <jmw@debian.org>  Sun, 13 May 2012 14:02:11 +0100
+
 barry (0.15-1.2) unstable; urgency=low
 
   * Non-maintainer upload.
only in patch2:
unchanged:
--- barry-0.15.orig/src/packet.h
+++ barry-0.15/src/packet.h
@@ -26,6 +26,7 @@
 
 #include <string>
 #include <stdint.h>
+#include <unistd.h>
 #include "protocol.h"
 
 namespace Barry { class Data; }




Added tag(s) pending. Request was from Jonathan Wiltshire <jmw@debian.org> to control@bugs.debian.org. (Sun, 13 May 2012 13:21:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Jose Carlos Garcia Sogo <jsogo@debian.org>:
Bug#667109; Package barry. (Sun, 13 May 2012 22:06:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chris Frey <cdfrey@foursquare.net>:
Extra info received and forwarded to list. Copy sent to Jose Carlos Garcia Sogo <jsogo@debian.org>. (Sun, 13 May 2012 22:06:02 GMT) Full text and rfc822 format available.

Message #26 received at 667109@bugs.debian.org (full text, mbox):

From: Chris Frey <cdfrey@foursquare.net>
To: Jonathan Wiltshire <jmw@debian.org>, 667109@bugs.debian.org
Subject: Re: Bug#667109: barry: diff for NMU version 0.15-1.3
Date: Sun, 13 May 2012 17:38:53 -0400
I'm assuming you're aware of #657076, but mentioning it
just in case.  I don't mind at all if 0.15 is fixed,
but work is under way for 0.18.1 to replace it.

Thanks for your work on this.

- Chris


On Sun, May 13, 2012 at 02:20:31PM +0100, Jonathan Wiltshire wrote:
> tags 667109 + pending
> thanks
> 
> Dear maintainer,
> 
> I've prepared an NMU for barry (versioned as 0.15-1.3) and
> uploaded it to DELAYED/2. Please feel free to tell me if I
> should delay it longer.
> 
> Regards.
> diff -u barry-0.15/debian/changelog barry-0.15/debian/changelog
> --- barry-0.15/debian/changelog
> +++ barry-0.15/debian/changelog
> @@ -1,3 +1,12 @@
> +barry (0.15-1.3) unstable; urgency=low
> +
> +  [ Cyril Brulebois ]
> +  * Non-maintainer upload.
> +  * Fix FTBFS with gcc 4.7 by fixing missing <unistd.h> include
> +    (Closes: #667109).
> +
> + -- Jonathan Wiltshire <jmw@debian.org>  Sun, 13 May 2012 14:02:11 +0100
> +
>  barry (0.15-1.2) unstable; urgency=low
>  
>    * Non-maintainer upload.
> only in patch2:
> unchanged:
> --- barry-0.15.orig/src/packet.h
> +++ barry-0.15/src/packet.h
> @@ -26,6 +26,7 @@
>  
>  #include <string>
>  #include <stdint.h>
> +#include <unistd.h>
>  #include "protocol.h"
>  
>  namespace Barry { class Data; }
> 
> 




Reply sent to Jonathan Wiltshire <jmw@debian.org>:
You have taken responsibility. (Tue, 15 May 2012 13:36:16 GMT) Full text and rfc822 format available.

Notification sent to Matthias Klose <doko@debian.org>:
Bug acknowledged by developer. (Tue, 15 May 2012 13:36:16 GMT) Full text and rfc822 format available.

Message #31 received at 667109-close@bugs.debian.org (full text, mbox):

From: Jonathan Wiltshire <jmw@debian.org>
To: 667109-close@bugs.debian.org
Subject: Bug#667109: fixed in barry 0.15-1.3
Date: Tue, 15 May 2012 13:32:18 +0000
Source: barry
Source-Version: 0.15-1.3

We believe that the bug you reported is fixed in the latest version of
barry, which is due to be installed in the Debian FTP archive:

barry-util-dbg_0.15-1.3_amd64.deb
  to main/b/barry/barry-util-dbg_0.15-1.3_amd64.deb
barry-util_0.15-1.3_amd64.deb
  to main/b/barry/barry-util_0.15-1.3_amd64.deb
barry_0.15-1.3.diff.gz
  to main/b/barry/barry_0.15-1.3.diff.gz
barry_0.15-1.3.dsc
  to main/b/barry/barry_0.15-1.3.dsc
barrybackup-gui-dbg_0.15-1.3_amd64.deb
  to main/b/barry/barrybackup-gui-dbg_0.15-1.3_amd64.deb
barrybackup-gui_0.15-1.3_amd64.deb
  to main/b/barry/barrybackup-gui_0.15-1.3_amd64.deb
libbarry-dev_0.15-1.3_amd64.deb
  to main/b/barry/libbarry-dev_0.15-1.3_amd64.deb
libbarry0-dbg_0.15-1.3_amd64.deb
  to main/b/barry/libbarry0-dbg_0.15-1.3_amd64.deb
libbarry0_0.15-1.3_amd64.deb
  to main/b/barry/libbarry0_0.15-1.3_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 667109@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jonathan Wiltshire <jmw@debian.org> (supplier of updated barry package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 13 May 2012 14:02:11 +0100
Source: barry
Binary: libbarry0 libbarry0-dbg libbarry-dev barry-util barry-util-dbg barrybackup-gui barrybackup-gui-dbg
Architecture: source amd64
Version: 0.15-1.3
Distribution: unstable
Urgency: low
Maintainer: Jose Carlos Garcia Sogo <jsogo@debian.org>
Changed-By: Jonathan Wiltshire <jmw@debian.org>
Description: 
 barry-util - Command line utilities for working with the RIM BlackBerry Handhe
 barry-util-dbg - Command line utilities for working with the RIM BlackBerry Handhe
 barrybackup-gui - GTK+ based GUI for backing up the RIM BlackBerry Handheld
 barrybackup-gui-dbg - GTK+ based GUI for backing up the RIM BlackBerry Handheld
 libbarry-dev - Development files for libbarry
 libbarry0  - Library for using the BlackBerry handheld on Linux
 libbarry0-dbg - Library for using the BlackBerry handheld on Linux
Closes: 667109
Changes: 
 barry (0.15-1.3) unstable; urgency=low
 .
   [ Cyril Brulebois ]
   * Non-maintainer upload.
   * Fix FTBFS with gcc 4.7 by fixing missing <unistd.h> include
     (Closes: #667109).
Checksums-Sha1: 
 aa620af4b2b556c60009a2ebd542f4378e192313 2093 barry_0.15-1.3.dsc
 66ac6e2cebac8cab12036453b055f10cc0b91d0c 34182 barry_0.15-1.3.diff.gz
 55122cac9255d0a07d8ad607b3758a28bf7a72e0 245016 libbarry0_0.15-1.3_amd64.deb
 c882eac500220cef96269aff60c2bebad8d963c9 1396954 libbarry0-dbg_0.15-1.3_amd64.deb
 6cfeaf749178476386fd21fb896ef58b64d551bf 441022 libbarry-dev_0.15-1.3_amd64.deb
 676f67a27ed6d267057a1793b6740e7e971dc8d6 188100 barry-util_0.15-1.3_amd64.deb
 d62dac5edb4adb6a8b74b0d7aca82fc1ff3f69a2 933454 barry-util-dbg_0.15-1.3_amd64.deb
 aeb3ca6f25f2b7da5fe1b386228438f8879a8d93 122658 barrybackup-gui_0.15-1.3_amd64.deb
 92296e79edc0932d7745a6f8cb23f1b722d84787 605698 barrybackup-gui-dbg_0.15-1.3_amd64.deb
Checksums-Sha256: 
 41a3ff2dc103aadf0db0b994b5e4d2f08afc196b64bbf42f17f91fa2c1436fa6 2093 barry_0.15-1.3.dsc
 d17b3268a114372c656b36676338bfd6fa548354e1de59f59cef5e6707262d55 34182 barry_0.15-1.3.diff.gz
 cdcce25d209f3d0e8bd9339720f8c137eb6e9611cffbb6a98c64d71865994980 245016 libbarry0_0.15-1.3_amd64.deb
 b92116a68bcc59ada364a6583ad6b923fb71bfd6c7f3f3d5d76b445336ab89ca 1396954 libbarry0-dbg_0.15-1.3_amd64.deb
 90b5c690a2f4aa001c33756c42f44c6e8b21461372097ea6b07b3e64643b51ac 441022 libbarry-dev_0.15-1.3_amd64.deb
 bdedc1d0135c1d36012dd7c95b4bd4b049a5252b2493a0b453795f01bd0b2341 188100 barry-util_0.15-1.3_amd64.deb
 afd233e01cb15d260c6d6d818d34241e087d19541a43545ac20ede5863df372f 933454 barry-util-dbg_0.15-1.3_amd64.deb
 3e514b10e31c1af03c04df1b501ed8bc2ec713d039e145230c3636230b1a817d 122658 barrybackup-gui_0.15-1.3_amd64.deb
 3e73cf1483c911d84d3dc9bca25269d6c391dd28b682e8504e7a861c2df0d0dc 605698 barrybackup-gui-dbg_0.15-1.3_amd64.deb
Files: 
 8cdfc93e25b70814743c0140206afb97 2093 misc optional barry_0.15-1.3.dsc
 82016963cf8b48217a224941f578698b 34182 misc optional barry_0.15-1.3.diff.gz
 2ecabc61dcd4a0a78bf0d64f3832496b 245016 libs optional libbarry0_0.15-1.3_amd64.deb
 c1b2c042f7bcdbbd7b41e5b5b7f96070 1396954 libs extra libbarry0-dbg_0.15-1.3_amd64.deb
 de0bd46031b3a2643e767f107a721071 441022 libdevel optional libbarry-dev_0.15-1.3_amd64.deb
 11a8890480a6ea6c7884026933e5ea04 188100 utils optional barry-util_0.15-1.3_amd64.deb
 5218ddeea353205a7bf9bd3df301b3e7 933454 utils extra barry-util-dbg_0.15-1.3_amd64.deb
 a400995c7b9faf324dc27264f39d3c94 122658 utils optional barrybackup-gui_0.15-1.3_amd64.deb
 5b7be77a05a0d2115a7390645f970919 605698 utils extra barrybackup-gui-dbg_0.15-1.3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBAgAGBQJPr7ScAAoJEFOUR53TUkxRxjEP/1ODLMonFSA2HilaZAMtaUJD
icVioRmJMwRhX8g8k8wBa5WQODiVR0PSmPX08H63mKP2DZyT+h47pHbsGq0iEf2Y
V8RoRtwKp/tokAdfu2q8OoRrLMokvDtOU89K6D2Reyb9Y+CtWYlOPIaId3igyXNe
91qzmRzSBGeS63ekrcFr8kQhrFx0a05ifNktmMaPjQrk/zwgncfgPXxoUcIamRQ6
a4Ud4+6GlGF9ehO77Bq3+L9LGo2XCYBOLr0OcA2MSpZ1cf5ao/H1sFGRrY/DoKsW
JxpOQ4pnYqgrvQKWlZ/nGmHCiILVDMAnLTbg3xBPq2lKJ5lmhTXkGx6joHoAwxZN
GzwEMWpBKF8HbNo3xEfsTI+KTj02egRHLakPwO1HOQOlk1C+mM0+O1fxKFrK4gFw
1R35gPcp5qqw0pmAVQwYBjo+iSDpZD14wCeEKnJWfcasYzSQt7EMG3sYpkpMnFUR
SktC4xJG2vpXgtLp02UUQpY2TGil2wJOgvNhww07ZiJeMS+xc8V5GnI3Y2IctZKm
HF9lQWYOzWR7HRbvzkPsIXdY54uECqv/wBbWfiND40Ezns+xFreRS6LwGEE/MFxT
VuTk7HFE4Grc0uq8G5l1J9kMqGHNhGnNKxPxPfU+IoCXdW65rj/YHI8dKqw5GEBP
r0D13CsjKBL45W4rWUGE
=vjyz
-----END PGP SIGNATURE-----





Reply sent to Chris Frey <cdfrey@foursquare.net>:
You have taken responsibility. (Thu, 07 Jun 2012 23:15:09 GMT) Full text and rfc822 format available.

Notification sent to Matthias Klose <doko@debian.org>:
Bug acknowledged by developer. (Thu, 07 Jun 2012 23:15:09 GMT) Full text and rfc822 format available.

Message #36 received at 667109-done@bugs.debian.org (full text, mbox):

From: Chris Frey <cdfrey@foursquare.net>
To: 667109-done@bugs.debian.org
Subject: Barry 0.18.3-3 contains patch already
Date: Thu, 7 Jun 2012 17:16:20 -0400
Package: barry
Version: 0.18.3-3

The latest Barry already contains the gcc-4.7 support patch and compiles
for me without error with gcc-4.7 on sid.





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 01 Aug 2012 07:26:08 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 08:37:23 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.